using System;
using BO.ProcessServer.Business.StatisticCounters;
using Quadarax.Foundation.Core.Thread;

namespace BO.ProcessServer.Business.Workers.Contexts
{
    internal abstract class BaseCtx : IWorkerContext
    {
        public Statistics Statistics { get; }
        public Pool Pool { get; }

        protected BaseCtx(Statistics statistics, Pool pool)
        {
            Statistics = statistics ?? throw new ArgumentNullException(nameof(statistics));
            Pool = pool ?? throw new ArgumentNullException(nameof(pool));
        }
    }
}
